#pragma once

#include "CoreMinimal.h"
#include "CoreBaseSettingWidget.h"
#include "SettingsHeaderWidget.generated.h"

class UDBDTextBlock;
class UOverlay;

UCLASS(Blueprintable, EditInlineNew)
class USettingsHeaderWidget : public UCoreBaseSettingWidget
{
	GENERATED_BODY()

protected:
	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDTextBlock* LabelTB;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UOverlay* GamepadOverlay;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UOverlay* KeyboardOverlay;

public:
	USettingsHeaderWidget();
};

FORCEINLINE uint32 GetTypeHash(const USettingsHeaderWidget) { return 0; }
